## NAME

v.to.sites - Converts point data in a binary GRASS vector map layer into a GRASS site_lists file.
(GRASS Vector Program)

## SYNOPSIS

v.to.sites
v.to.sites help
v.to.sites [-acCid] input=name output=name [dmax=value]

## DESCRIPTION

The v.to.sites program extracts data from a GRASS vector map layer and stores output in a new GRASS site_lists file. If -a flag is selected, v.to.sites extracts all vertices from a vector file, if not selected, it extracts site (point) features only, ignoring lines and areas. If -i flag is selected then, for each line, if the distance between any two vertices on this line is greater that dmax, additional points are added to keep the distance withing dmax range. The resulting sites map layer can be used with such programs as d.sites.

The user can run the program non-interactively by specifying the names of an existing vector input map layer and a new site list file to be output on the command line. The program will be run interactively if the user types v.to.sites without arguments on the command line. In this case, the user will be prompted to enter parameter values through the standard user interface described in the manual entry for parser.

## OPTIONS:

### Flags:

-a
  Outputs all vertices (instead of site data only) from vector file to site file
-c
  The Category NUMERIC data is used instead of attribute as a site description
-C
  The Category TEXT data is used instead of attribute as a site description
-i
  Additional sites are added between each 2 points on a line if the distance between them is greater than specified dmax. (valid only when -a is used)
-d
  Write attribute as double instead of cat.

  If any of the sites have been labeled in v.digit, then the resultant site list will contain category information (or attribute in case -a was used but -c was not). If none of the sites are labeled, a binary (0/1) site list file will be produced.

### Parameters:

input=name
  Name of an existing binary vector map layer from which site data are to be extracted.
output=name
  Name to be assigned to the resultant site_lists file.
dmax=value
  Maximum distance between points (valid only when -a and -i are used)

## NOTES

Vector lines must be labeled.

If the flag -i is selected, a spline function is used to generate additional points along the line. To avoid the generating of lots of points along contours, dmax= should be really large so that v.to.sites does not add any addtional sites to the data. On the other hand, if additional sites data are desired, dmax= should be smaller than the distances between existing data points.

## SEE ALSO

d.sites, v.digit and parser

## AUTHOR

Dave Gerdes,
Irina Kosinovsky,
U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:35 $